## ocaml-oseq 0.5.1

=== Makefile ===

all: build test

build:
	@dune build @install

test:
	@dune runtest --no-buffer --force

clean:
	@dune clean

doc:
	@dune build @doc

benchs:
	@dune build $(addprefix bench/, $(BENCH_TARGETS))

VERSION=$(shell awk '/^version:/ {print $$2}' oseq.opam)

update_next_tag:
	@echo "update version to $(VERSION)..."
	sed -i "s/NEXT_VERSION/$(VERSION)/g" src/*.ml src/*.mli
	sed -i "s/NEXT_RELEASE/$(VERSION)/g" src/*.ml src/*.mli

reindent:
	@which ocp-indent || ( echo "require ocp-indent" ; exit 1 )
	@find src '(' -name '*.ml' -or -name '*.mli' ')' -type f -print0 | xargs -0 echo "reindenting: "
	@find src '(' -name '*.ml' -or -name '*.mli' ')' -type f -print0 | xargs -0 ocp-indent -i

WATCH?=@install
watch:
	@dune build $(WATCH) -w

.PHONY: benchs tests examples update_next_tag watch

=== debian/changelog ===
ocaml-oseq (0.5.1-2build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:32:49 +0200

ocaml-oseq (0.5.1-2build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:35:18 +0100

ocaml-oseq (0.5.1-2) unstable; urgency=medium

  * Enable autopkgtests

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 21 Oct 2024 10:47:54 +0100

ocaml-oseq (0.5.1-1) unstable; urgency=medium

  * Initial release.

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 12 Oct 2024 10:50:20 +0100

=== debian/control ===
Source: ocaml-oseq
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               ocaml-dune (>= 2.8.0),
               dh-ocaml (>= 1.2.2),
               libqcheck-core-ocaml-dev,
               libounit-ocaml-dev,
               libodoc-ocaml-dev,
               libcontainers-ocaml-dev,
               ocaml
Standards-Version: 4.7.0
Homepage: https://c-cube.github.io/oseq/
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-oseq
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-oseq.git

Package: liboseq-ocaml-dev
Architecture: any
Depends: ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: list of suspensions as a composable lazy iterator
 Contains a simple list of suspensions. They are designed as
 a composable lazy iterator that behaves like a value.
 .
 The type of sequences is compatible with the new standard type 
 of iterators.
